Created using:

```
ionic start pointr-test blank --capacitor --type=angular --package-id=tech.pointr.cordova
```

- Run `npm i` under project folder to install the modules.
- Download and extract [`cordova-plugin-pointr`](https://pointrapps.blob.core.windows.net/pointr-docs/cordova-plugin-pointr-version-8.14.0.zip) and run `npm install <path to cordova-plugin-pointr` command under ionic project.
- Run `npx ionic build`

## Android

- Update `android/variables.gradle` file, `ptrusername` and `ptrpassword` fields with the values given by the Pointr Project Manager. These are the credentials to access Pointr's Maven repository.
- Run `npx cap sync android`
- Run `npx ionic cap sync android`
- Open `android` folder on Android Studio.
- Run the project.

## iOS

- Create folder `libs` under `cordova-plugin-pointr`.
- Download [the latest iOS SDK](https://pointrapps.blob.core.windows.net/pointr-docs/PointrKit-ios.8.14.0.zip) and move extracted `PointrKit.xcframework` and `Mapbox.xcframework` under newly created `libs` folder of `cordova-plugin-pointr`.
- Run `npx cap sync ios`
- Run `npx ionic cap sync ios`
- Open `ios/App/App.xcworkspace` with XCode.
- Arrange the bundle id and signings of the app.
- Run the project from XCode (should use real device to see the map)




